using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class CameraFollow : MonoBehaviour
{
    public Transform target;

    // Start is called before the first frame update
    void Start()
    {
        
    }

    // Update is called once per frame
    void Update()
    {
        Vector3 lookLocation = CalculateFollowLocation(target);
        transform.position = lookLocation;
    }

    Vector3 CalculateFollowLocation(Transform actor)
    {
        return new Vector3(actor.position.x, actor.position.y, transform.position.z);
    }
}
